Skip to main content
`Ctrl`+`K`

# PCGalerkinSetRestriction

Sets the restriction operator for the `PCGALERKIN` preconditioner

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCGalerkinSetRestriction(PC pc, Mat R)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- R - the restriction operator

## Note

Either this or `PCGalerkinSetInterpolation()` or both must be called

## See Also

KSP: Linear System Solvers, `PC`, `PCCreate()`, `PCSetType()`, `PCType`, `PCGALERKIN`, `PCGalerkinSetInterpolation()`, `PCGalerkinGetKSP()`

## Level

intermediate

## Location

src/ksp/pc/impls/galerkin/galerkin.c

## Implementations

PCGalerkinSetRestriction_Galerkin() in src/ksp/pc/impls/galerkin/galerkin.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages